You can create a custom Chrome extension and install it on the virtual browser.To load your extension in Hyperbeam, create an unpacked zip or crx file. Then, make a request and upload the file using a multipart form. For a full example, check out our Chrome extension example.
curl -X POST \ -H 'Authorization: Bearer <your-api-key>' \ -H 'Content-Type: multipart/form-data' \ https://engine.hyperbeam.com/v0/vm \ --form 'body={"extension":{"field":"ex"}}' \ --form 'ex=@/tmp/ext.zip;type=application/zip' # If using crx rather than zip, make sure to change the MIME-type to x-chrome-extension # --form 'ex=@/tmp/ext.crx;type=application/x-chrome-extension'
Hyperbeam supports both Manifest V2 and V3. Manifest V2 is deprecated, and we anticipate Chromium will no longer support V2 in 2025. You can learn more about the MV2 phase-out plan on the Developer Chrome website.If backwards compatibility is a requirement for your project, please contact us at founders@hyperbeam.com.
Troubleshooting
Do not put the manifest.json file in a subfolder
If your extension is not loading in Hyperbeam, please double-check that:
The manifest.json file is a well-formed JSON
The manifest.json file is in the root directory
The contents of the zip file should look like this:
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Hyperbeam","colors":{"primary":"#a888ff","light":"#c4b5fd","dark":"#7c3aed"},"favicon":"https://mintcdn.com/hyperbeam/a_-YqggCLYinqc0g/favicon.png?fit=max\u0026auto=format\u0026n=a_-YqggCLYinqc0g\u0026q=85\u0026s=d1f84bca91f42b29a636cac9700a80e7","logo":"https://mintcdn.com/hyperbeam/a_-YqggCLYinqc0g/logo.svg?fit=max\u0026auto=format\u0026n=a_-YqggCLYinqc0g\u0026q=85\u0026s=bb70cd791725d043c35e578fbcc5d2e8","navbar":{"links":[{"label":"Community","href":"https://discord.gg/D78RsGfQjq"}],"primary":{"type":"button","label":"Use Hyperbeam","href":"https://hyperbeam.com/dashboard"}},"footer":{"socials":{"github":"https://github.com/hyperbeam","website":"https://hyperbeam.dev","discord":"https://discord.gg/D78RsGfQjq"}},"integrations":{"amplitude":{"apiKey":"e46b9bf5b5d19f5fd43d1a2b8630aba5"},"ga4":{"measurementId":"G-LFMF4P54KV"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"hyperbeam","hasAudioNarration":false,"actualSubdomain":"hyperbeam","customDomains":["docs.hyperbeam.com"],"gitSource":{"type":"github","owner":"hyperbeam","repo":"docs","deployBranch":"master","contentDirectory":"docs","mountPath":"","label":""},"feedback":{"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6acfda85d5256df464a472e8","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"default","tag":"Documentation","count":32},{"language":"default","tag":"REST API","count":14},{"language":"default","tag":"Dispatch API","count":8},{"language":"default","tag":"Client SDKs","count":7},{"language":"default","tag":"Guides","count":6},{"language":"default","tag":"Session API","count":6},{"language":"default","tag":"Home","count":5},{"language":"default","tag":"Unity SDKs","count":4},{"language":"default","tag":"JavaScript SDK","count":3},{"language":"default","tag":"WebGL SDK","count":3}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"guides/install-chrome-extension","slug":"/guides/install-chrome-extension","pageMetadata":{"title":"Install Custom Chrome Extension","description":null,"href":"/guides/install-chrome-extension"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsxs(_components.p,{children:[`You can create a custom `,_jsx(_components.a,{href:`https://chrome.google.com/webstore/category/extensions`,children:`Chrome extension`}),` and install it on the virtual browser.`]}),`\n`,_jsxs(_components.p,{children:[`To load your extension in Hyperbeam, create an unpacked `,_jsx(_components.code,{children:`zip`}),` or `,_jsx(_components.code,{children:`crx`}),` file. Then, make a request and upload the file using a multipart form. For a full example, check out our `,_jsx(_components.a,{href:`https://github.com/hyperbeam/examples/tree/master/load-custom-chrome-extension`,children:`Chrome extension example`}),`.`]}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`18`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`18`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`function`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` buildForm`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`extPath`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`vmConfig`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` formData`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` FormData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` formData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`append`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ex\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`fs`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`createReadStream`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`extPath`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`));`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` formData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`append`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"body\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`vmConfig`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`));`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` return`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` formData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` zipPath`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` path`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`resolve`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(\\\\`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`_`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`\\\\`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`_dirname`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"./path/to/my/ext.zip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` formData`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` buildForm`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`zipPath`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`extension:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`field:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ex\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` formData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`getHeaders`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`] `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`process`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`env`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`HB_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` resp`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` axios`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`post`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://engine.hyperbeam.com/v0/vm'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`formData`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`]})})}),_jsx(CodeBlock,{filename:`Bash`,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization: Bearer \u003cyour-api-key>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: multipart/form-data'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://engine.hyperbeam.com/v0/vm`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --form`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'body={\"extension\":{\"field\":\"ex\"}}'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --form`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'ex=@/tmp/ext.zip;type=application/zip'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:` # If using crx rather than zip, make sure to change the MIME-type to x-chrome-extension`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:` # --form 'ex=@/tmp/ext.crx;type=application/x-chrome-extension'`})}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`references`,children:`References`}),`\n`,_jsxs(_components.p,{children:[`For more information on creating `,_jsx(_components.code,{children:`zip`}),` Chrome extensions, refer to the `,_jsx(_components.a,{href:`https://developer.chrome.com/docs/webstore/publish/#create-your-items-zip-file`,children:`Publish your extension`}),` guide on the Chrome Developers website.`]}),`\n`,_jsxs(_components.p,{children:[`To learn more about the `,_jsx(_components.code,{children:`crx`}),` format, see `,_jsx(_components.a,{href:`https://developer.chrome.com/docs/extensions/mv3/linux_hosting/#packaging`,children:`Installing extensions on Linux`}),`. We recommend creating building `,_jsx(_components.code,{children:`crx`}),` extensions with an `,_jsx(_components.a,{href:`https://www.npmjs.com/package/crx#cli-api`,children:`unofficial CLI on NPM`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`manifest-v2`,children:`Manifest V2`}),`\n`,_jsxs(_components.p,{children:[`Hyperbeam supports both Manifest V2 and V3. Manifest V2 is deprecated, and we anticipate Chromium will no longer support V2 in 2025. You can learn more about the MV2 phase-out plan on the `,_jsx(_components.a,{href:`https://developer.chrome.com/docs/extensions/migrating/mv2-sunset/`,children:`Developer Chrome website`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`If backwards compatibility is a requirement for your project, please contact us at `,_jsx(_components.a,{href:`mailto:founders@hyperbeam.com`,children:`founders@hyperbeam.com`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`troubleshooting`,children:`Troubleshooting`}),`\n`,_jsxs(Warning,{children:[`Do `,_jsx(_components.strong,{children:`not`}),` put the `,_jsx(_components.code,{children:`manifest.json`}),` file in a subfolder`]}),`\n`,_jsxs(_components.p,{children:[`If your extension is not loading in Hyperbeam, `,_jsx(_components.em,{children:`please`}),` double-check that:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`The `,_jsx(_components.code,{children:`manifest.json`}),` file is a well-formed JSON`]}),`\n`,_jsxs(_components.li,{children:[`The `,_jsx(_components.code,{children:`manifest.json`}),` file is in the root directory`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`The contents of the `,_jsx(_components.code,{children:`zip`}),` file should look like this:`]}),`\n`,_jsx(CodeBlock,{numberOfLines:`5`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`hello.html`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`hello_extensions.png`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`manifest.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`popup.js`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsxs(_components.p,{children:[`The following file structure is invalid, `,_jsx(_components.strong,{children:`do not do this`}),`:`]}),`\n`,_jsx(CodeBlock,{numberOfLines:`6`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`extension/`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`├─ hello.html`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`├─ hello_extensions.png`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`├─ manifest.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`└─ popup.js`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Install Custom Chrome Extension","description":null,"href":"/guides/install-chrome-extension"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[]},{"title":"References","slug":"references","depth":2,"children":[]},{"title":"Manifest V2","slug":"manifest-v2","depth":2,"children":[]},{"title":"Troubleshooting","slug":"troubleshooting","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"hyperbeam","siteName":"Hyperbeam","title":"Install Custom Chrome Extension - Hyperbeam","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-02T07:06:54.415Z","originalFileLocation":"guides/install-chrome-extension.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Hyperbeam\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Install Custom Chrome Extension - Hyperbeam\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Hyperbeam\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.hyperbeam.com/guides/install-chrome-extension\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://hyperbeam.mintlify.site/_mintlify/api/og/v2?division=Guides\u0026amp;title=Install+Custom+Chrome+Extension\u0026amp;theme=67ff4b0b4936b6c8e30a52ae\u0026amp;signature=5b3c7fb0067bdf55ca67ffda9d0f1f7a367a0f43fc85a829dbbe0a7d883dc511\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Install Custom Chrome Extension - Hyperbeam\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://hyperbeam.mintlify.site/_mintlify/api/og/v2?division=Guides\u0026amp;title=Install+Custom+Chrome+Extension\u0026amp;theme=67ff4b0b4936b6c8e30a52ae\u0026amp;signature=5b3c7fb0067bdf55ca67ffda9d0f1f7a367a0f43fc85a829dbbe0a7d883dc511\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/hyperbeam/befxcaaaMvq2vDLO/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Hyperbeam\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#a888ff\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.hyperbeam.com/guides/install-chrome-extension\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/guides/install-chrome-extension.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.hyperbeam.com/#organization\",\"name\":\"Hyperbeam\",\"url\":\"https://docs.hyperbeam.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/hyperbeam/a_-YqggCLYinqc0g/logo.svg?fit=max\u0026auto=format\u0026n=a_-YqggCLYinqc0g\u0026q=85\u0026s=bb70cd791725d043c35e578fbcc5d2e8\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.hyperbeam.com#website\",\"name\":\"Hyperbeam\",\"url\":\"https://docs.hyperbeam.com\",\"publisher\":{\"@id\":\"https://docs.hyperbeam.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.hyperbeam.com/guides/install-chrome-extension#webpage\",\"url\":\"https://docs.hyperbeam.com/guides/install-chrome-extension\",\"name\":\"Install Custom Chrome Extension\",\"dateModified\":\"2026-01-02T07:06:54.415Z\",\"isPartOf\":{\"@id\":\"https://docs.hyperbeam.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.hyperbeam.com/guides/install-chrome-extension#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.hyperbeam.com/guides/install-chrome-extension#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Guides\",\"item\":\"https://docs.hyperbeam.com/guides/timeouts\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Install Custom Chrome Extension\",\"item\":\"https://docs.hyperbeam.com/guides/install-chrome-extension\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.hyperbeam.com/guides/install-chrome-extension#article\",\"headline\":\"Install Custom Chrome Extension\",\"name\":\"Install Custom Chrome Extension\",\"url\":\"https://docs.hyperbeam.com/guides/install-chrome-extension\",\"mainEntityOfPage\":{\"@id\":\"https://docs.hyperbeam.com/guides/install-chrome-extension#webpage\"},\"dateModified\":\"2026-01-02T07:06:54.415Z\",\"publisher\":{\"@id\":\"https://docs.hyperbeam.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.hyperbeam.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Hyperbeam\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Hyperbeam\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/guides/install-chrome-extension.md","siteName":"Hyperbeam","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","groups":[{"group":"Home","pages":[{"title":"Introduction","href":"/home/introduction"},{"title":"Features","href":"/home/features"},{"title":"Examples","href":"/home/examples"},{"title":"Getting Started","href":"/home/getting-started"},{"title":"FAQ","href":"/home/faq"}]},{"group":"Guides","pages":[{"title":"Timeouts","href":"/guides/timeouts"},{"title":"Persist Session State","href":"/guides/persist-session-state"},{"title":"Authenticating Participants","description":"Granting access to cloud computers","href":"/guides/authenticating-participants"},{"title":"Install Custom Chrome Extension","href":"/guides/install-chrome-extension"},{"title":"Resize Browser Window","description":"Learn how to set and resize the dimensions of the browser window dynamically.","href":"/guides/resize-browser-window"},{"title":"Roles","href":"/guides/roles"}]},{"group":"REST API","pages":[{"group":"Dispatch API","pages":[{"title":"Dispatch Endpoints","href":"/rest-api/dispatch/dispatch-overview"},{"title":"Starting a Chromium Session","api":"POST https://engine.hyperbeam.com/v0/vm","href":"/rest-api/dispatch/start-chromium-session"},{"title":"Starting a Android Emulator","api":"POST https://engine.hyperbeam.com/v0/android","href":"/rest-api/dispatch/start-android-emulator-session"},{"title":"Starting a Console Emulator","api":"POST https://engine.hyperbeam.com/console","href":"/rest-api/dispatch/start-console-emulator-session"},{"title":"Ending a Session","api":"DELETE https://engine.hyperbeam.com/v0/vm/{session_id}","href":"/rest-api/dispatch/ending-session"},{"title":"Get Active Sessions","api":"GET https://engine.hyperbeam.com/v0/vm","href":"/rest-api/dispatch/get-sessions"},{"title":"Get Single Session","api":"GET https://engine.hyperbeam.com/v0/vm/{session_id}","href":"/rest-api/dispatch/get-session"},{"title":"Get Usage","api":"GET https://engine.hyperbeam.com/v0/vm/usage","href":"/rest-api/dispatch/get-usage"}]},{"group":"Session API","pages":[{"title":"Session Endpoints","href":"/rest-api/session/session-overview"},{"title":"Add Roles","api":"POST https://\u003cembed_url>/addRoles","playground":"none","href":"/rest-api/session/add-roles"},{"title":"Remove Roles","api":"POST https://\u003cembed_url>/removeRoles","playground":"none","href":"/rest-api/session/remove-roles"},{"title":"Removing Users","api":"DELETE https://engine.hyperbeam.com/users/{user_id}","href":"/rest-api/session/removing-users"},{"title":"Set Bookmarks","api":"POST https://\u003cembed_url>/bookmarks","playground":"none","href":"/rest-api/session/bookmarks"},{"title":"Set User Permissions","api":"POST https://\u003cembed_url>/setPermissions","playground":"none","deprecated":true,"href":"/rest-api/session/set-user-permission"}]}]},{"group":"Client SDKs","pages":[{"group":"JavaScript SDK","pages":[{"title":"Overview","href":"/client-sdk/javascript/overview"},{"title":"Reference","href":"/client-sdk/javascript/reference"},{"title":"Examples","href":"/client-sdk/javascript/examples"}]},{"group":"Unity SDKs","pages":[{"group":"WebGL SDK","pages":[{"title":"WebGL Overview","href":"/client-sdk/unity/webgl/overview"},{"title":"HyperbeamController.cs","href":"/client-sdk/unity/webgl/hyperbeam-controller"},{"title":"Hyperbeam.cs","href":"/client-sdk/unity/webgl/hyperbeam"}]},{"title":"Unity Desktop Application SDK","sidebarTitle":"Unity Desktop","href":"/client-sdk/unity/unity-desktop-sdk"}]}]}]},{"anchor":"GitHub","href":"https://github.com/hyperbeam","icon":"github","color":{"light":"#a888ff","dark":"#a888ff"}},{"anchor":"Community","href":"https://discord.gg/D78RsGfQjq","icon":"discord","color":{"light":"#a888ff","dark":"#a888ff"}},{"anchor":"Contact Us","href":"mailto:founders@hyperbeam.com","icon":"envelope","color":{"light":"#a888ff","dark":"#a888ff"}}]},"basePath":"","title":"Install Custom Chrome Extension - Hyperbeam","buildId":"dpl_5tKr6cUUeuVJdEZ9JAEY3h4soMJ8","deploymentId":"dpl_5tKr6cUUeuVJdEZ9JAEY3h4soMJ8","dynamics":[],"chunks":[]}